petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscRandomGetSeed

Gets the random seed.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomGetSeed(PetscRandom r,unsigned long *seed)

Not collective Many br

### Input Parameters

r -The random number generator context Many br

### Output Parameter

seed -The random seed Many br

Many br

### See Also

PetscRandomCreate(), PetscRandomSetSeed(), PetscRandomSeed()

Level:intermediate
Location:src/sys/classes/random/interface/randomc.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages